<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__canfd__t1__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_canfd_t1_t</compoundname>
    <includes local="no">cy_canfd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__canfd__t1__t_1a025bf1e7fcc326c297ecdb623b036bb5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>volatile uint32_t cy_stc_canfd_t1_t::dlc</definition>
        <argsstring />
        <name>dlc</name>
        <briefdescription>
<para>Data length code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="824" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="824" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__t1__t_1a1575c20946ae223fff0be79d15e65e00" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>volatile bool cy_stc_canfd_t1_t::brs</definition>
        <argsstring />
        <name>brs</name>
        <briefdescription>
<para>Bit rate switching. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="825" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="825" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__t1__t_1a9913e229c028e77db11dccaa55c01edd" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__canfd__enums_1ga9a9a243726110708a6e61d77b7a86d1e">cy_en_canfd_fdf_t</ref></type>
        <definition>volatile cy_en_canfd_fdf_t cy_stc_canfd_t1_t::fdf</definition>
        <argsstring />
        <name>fdf</name>
        <briefdescription>
<para>FD Format. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="826" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="826" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__t1__t_1a5b6f6aded1ed0a1c70a0c98f97a9190c" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>volatile bool cy_stc_canfd_t1_t::efc</definition>
        <argsstring />
        <name>efc</name>
        <briefdescription>
<para>Event FIFO control. </para>        </briefdescription>
        <detaileddescription>
<para>false: Do not store Tx events, true: Store Tx events </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="827" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="827" />
      </memberdef>
      <memberdef id="structcy__stc__canfd__t1__t_1a1b15a1b6642d510224ad474ec73c1732" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>volatile uint32_t cy_stc_canfd_t1_t::mm</definition>
        <argsstring />
        <name>mm</name>
        <briefdescription>
<para>Message marker. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="828" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="828" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>T1 register. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="829" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="822" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="823" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__canfd__t1__t_1a1575c20946ae223fff0be79d15e65e00" virt="non-virtual"><scope>cy_stc_canfd_t1_t</scope><name>brs</name></member>
      <member prot="public" refid="structcy__stc__canfd__t1__t_1a025bf1e7fcc326c297ecdb623b036bb5" virt="non-virtual"><scope>cy_stc_canfd_t1_t</scope><name>dlc</name></member>
      <member prot="public" refid="structcy__stc__canfd__t1__t_1a5b6f6aded1ed0a1c70a0c98f97a9190c" virt="non-virtual"><scope>cy_stc_canfd_t1_t</scope><name>efc</name></member>
      <member prot="public" refid="structcy__stc__canfd__t1__t_1a9913e229c028e77db11dccaa55c01edd" virt="non-virtual"><scope>cy_stc_canfd_t1_t</scope><name>fdf</name></member>
      <member prot="public" refid="structcy__stc__canfd__t1__t_1a1b15a1b6642d510224ad474ec73c1732" virt="non-virtual"><scope>cy_stc_canfd_t1_t</scope><name>mm</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>